Package wx :: Package lib :: Module mvctree :: Class Painter

[frames | no frames]

## Class Painter

Known Subclasses:
  `TreePainter`

This is the interface that MVCTree expects from painters. All painters should be Painter subclasses.

Method Summary
| `__init__(self, tree)`
| `ClearBuffer(self)`
| `GetBackgroundBrush(self)`
| `GetBackgroundColour(self)`
| `GetBackgroundPen(self)`
| `GetBuffer(self)`
| `GetFont(self)`
| `GetForegroundBrush(self)`
| `GetForegroundColour(self)`
| `GetForegroundPen(self)`
| `GetLineBrush(self)`
| `GetLineColour(self)`
| `GetLinePen(self)`
| `GetTextBrush(self)`
| `GetTextColour(self)`
| `GetTextPen(self)`
| `OnMouse(self, evt)`
| `Paint(self, dc, node, doubleBuffered, paintBackground)`
| `SetBackgroundColour(self, color)`
| `SetFont(self, font)`
| `SetForegroundColour(self, color)`
| `SetLineColour(self, color)`
| `SetTextColour(self, color)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:12 2007 | http://epydoc.sf.net